<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProductPricePurchase extends Model
{
    use HasFactory;
    protected $table = 'product_price_purchases';
    protected $guarded = ['id'];

    public function product_price()
    {
        return $this->belongsTo(ProductPrice::class, 'product_price_id', 'id');
    }

    public function clothing_sizes_product()
    {
        return $this->belongsTo(ClothingSizesProduct::class, 'clothing_sizes_product_id', 'id');
    }
}
